easy_admin:
    entities:
        Menu:
            class: Notimeo\MenuBundle\Entity\Menu
            form:
                fields:
                    - type: 'group'
                      css_class: 'col-lg-7'
                      label: 'common.main_content'
                      icon: 'paint-brush'


                    - property: locales
                      type: collection
                      type_options:
                          entry_type: Notimeo\MenuBundle\Form\Type\MenuLocaleType
                          error_bubbling: false
                          by_reference: false
                          label: false


                    - type: 'group'
                      css_class: 'col-lg-5'
                      label: 'common.other'
                      icon: 'file-text'

                    - property: working_title
                      label: common.working_name
                      help: common.working_name.help

            new:
                title:  entity.menu.title.new
            edit:
                title:  entity.menu.title.edit
                fields:
                    - property: 'working_title'
                      type_options:
                            disabled: true

            treelist:
                parameters:
                    entity: MenuItem
                property: items
                fields:
                    - { property: title, label: admin.menu_item.entity.title }
            list:
                title: entity.menu.title.list
                fields:
                    - { property: title, label: common.title }
                    - { property: updateDate, label: common.update_date}
                actions:
                    - name: list
                      label: entity.menu.action.links
                      entity: MenuItem
                      icon: list
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
        MenuItem:
            class: Notimeo\MenuBundle\Entity\MenuItem
            list_type: tree
            list_col: menu
            list:
                title: entity.menu_item.title.list
                fields:
                    - property: title
                      label: common.title
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
            form:
                fields:
                    - type: group
                      css_class: col-sm-7
                      label: common.main_content
                      icon: paint-brush

                    - property: locales
                      type: collection
                      help: entity.menu_item.form.help.locales
                      type_options:
                        entry_type: Notimeo\MenuBundle\Form\Type\MenuItemLocaleType
                        error_bubbling: false
                        by_reference: false
                        label: false


                    - type: group
                      css_class: col-sm-5
                      label: entity.menu_item.form.group.tree
                      icon: cogs


                    - property: parent
                      label: common.parent_element
                      type: Notimeo\MenuBundle\Form\Type\MenuItemSelectType
                      type_options:
                        class: Notimeo\MenuBundle\Entity\MenuItem
                    - property: weight
                      label: common.weight
                      help: common.weight.help


                    - type: group
                      css_class: col-sm-5
                      label: entity.menu_item.form.group.dynamic_content
                      help: entity.menu_item.form.dynamic_content.help
                      icon: level-down


                    - property: dynamicSiblings
                      label: entity.menu_item.form.dynamic_siblings
                    - property: dynamicString
                      type: text
                      label: entity.menu_item.form.dynamic_string
            new:
                title: entity.menu_item.title.new
            edit:
                title: entity.menu_item.title.edit
                fields:
                    - property: dynamicSiblings
                      type: checkbox
                      type_options:
                        disabled: true
                    - property: dynamicString
                      type: text
                      type_options:
                            disabled: true
            treelist:
                parameters:
                    entity: MenuItem
                property: items
                fields:
                    -title
